$(function(){
    const $window = $(window),
        $header = $(".header_container"),
        $modal = $(".modal_container"),
        hash = location.hash;
    const checkDevice = function() {
        const ua = navigator.userAgent;
        if(ua.indexOf("iPhone")>0 || ua.indexOf("iPod")>0 || ua.indexOf("Android")>0 && ua.indexOf("Mobile")>0) {
            return true;
        } else if (ua.indexOf("iPad")>0 || ua.indexOf("Android")>0){
            return true;
        } else {
            return false;
        }
    };

    if(hash) {
        if($("body").hasClass("home")) {
            $(".main_container").children().removeClass("current");
            $(hash).addClass("current");
            $("[data-anchor]").removeClass("current");
            $("[data-anchor='"+hash.slice(1)+"']").addClass("current");
        } else if($("[data-back]").length) {
            $("[data-back]").attr("data-back", hash.slice(1));
        }
        const href = location.href.split("#"),
            url = href[0];
        window.history.replaceState(null,null,url);
    }
    $("a:not([href^='http'])").on("click", function(){
        if($(this).closest(".nav_container").length) {
            return;
        } else {
            const href = $(this).attr("href"),
                main = $("[data-anchor]").filter(".current").attr("data-anchor");
            location.href = href+"#"+main;
            return false;
        }
    });
    $("[data-back]").on("click", function(){
        const main = $(this).attr("data-back");
        location.href = "../index.html#"+main;
        return false;
    });
    $(".all_container, .modal_container").on("click", "[data-button]", function(e){
        const $btn = $(this),
            stt = $(this).attr("data-button"),
            $target = $("."+stt);
        if(stt=="navi") {
            if($btn.hasClass("open")) {
                e.stopPropagation();
                $btn.closest(".header_container").addClass("active");
                $btn.next($target).slideDown(function(){
                    $btn.removeClass("open").addClass("close").text("CLOSE");
                });
            } else if($btn.hasClass("close")) {
                $btn.next($target).slideUp(function(){
                    $btn.removeClass("close").addClass("open").text("OPEN");
                    $btn.closest(".header_container").removeClass("active");
                });
            }
        } else if(stt=="modal") {
            if($btn.hasClass("open")) {
                e.stopPropagation();
                const image = "<img src='"+$btn.attr("src")+"'>";
                $modal.addClass("shown").find(".content").append(image);
            } else if($btn.hasClass("close")) {
                $modal.removeClass("shown").find(".content").empty();
            }
        }
    });
    $(".all_container").on("click", "[data-anchor]", function(){
        const $btn = $(this),
            $target = $("#"+$btn.attr("data-anchor"));
        $target.prevAll().removeClass("current");
        $target.nextAll().removeClass("current");
        $btn.closest(".list").find("a").removeClass("current");
        $target.addClass("current");
        $btn.closest(".navi").slideUp(function(){
            $(this).prev("[data-button]").removeClass("close").addClass("open").text("OPEN");
            $btn.closest(".header_container").removeClass("active");
            $btn.addClass("current");
        });
    });
    $(".all_container").on("click", function(){
        if($("body").hasClass("home")) {
            return;
        } else {
            if($header.hasClass("shown")) {
                $header.removeClass("shown");
            } else {
                $header.addClass("shown");
            }
        }
    });
    if(checkDevice()) {
        $("a, button").on({
            "touchstart": function(){
                $(this).addClass("hover");
            },
            "touchend": function(){
                $(this).removeClass("hover");
            }
        });
    } else {
        $("a, button").on({
            "mouseover": function(){
                $(this).addClass("hover");
            },
            "mouseout": function(){
                $(this).removeClass("hover");
            }
        });
    }
});